<template>
	<div class="column q-pa-md q-gutter-md">
		<h6 class="q-ma-none">Dues Report</h6>
		<div class="row q-gutter-md">
			<q-select dense class="col-6 col-md-2" v-model="report_type" :options="[
			'Admitted Patient Only',
			'All']" label="Report_Type" map-options emit-value></q-select>
			<date-combo v-model="date" v-if="report_type = 'All'"></date-combo>
			<q-select dense class="col-6 col-md-2" v-if="report_type = 'All'" v-model="type"
				:options="['All','OPD','IPD','Pharmacy']" label="Invoice_type" map-options emit-value>
			</q-select>
			<div>
				<q-btn label="Get Report" @click="refreshData" color="green" />
			</div>
		</div>
		<b-table ref="table" class="full-width" :module="module" table-name="Report_Dues" :extra-post-data="meta_data">
		</b-table>

	</div>
</template>
<script>
export default {
	props: ['module'],
	components: {
		bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
		DateCombo: Vue.defineAsyncComponent(() => import(`components/widgets/date-combo.vue`))
	},
	data() {
		return {
			date: {
				from: null,
				to: null
			},
			type: 'All',
			report_type: 'Admitted Patient Only'
		}
	},
	computed: {
		meta_data() {
			let meta_data = {}

			meta_data.Report_Type = this.report_type

			if (this.report_type === 'All' && this.type !== 'All') {
				meta_data.Type = this.type
			}
			if (this.date.from != null && this.date.to != null) {

				meta_data.From_Date = this.date.from
				meta_data.To_Date = this.date.to
			}

			return { meta_data }

		}
	},
	methods: {
		refreshData() {
			this.$refs.table.syncData()
		}
	}

}
</script>
